<?php
require_once 'global.php';

$H_TEMPLATE['TITLE'] = 'Legal Privacy Policy for ' . SITE_NAME;
site_header();
?>
<div class="user_content" style="font-weight:normal;">
	<p>
		<small><em>This statement was last updated February 26, 2011.</em></small>
	</p>
	<p>
		The term '<?php echo strtolower(SITE_NAME); ?>' or 'us' or 'we' refers to the owner(s) of 
		the website. The term 'you' refers to the user or viewer of our website. The term 'Content' 
		refers to the website you are using in conjunction with the Service.
	</p>
	<p>
		We at <?php echo SITE_NAME; ?> respect the privacy of our visitors and are committed 
		to preserving your online safety by preserving your privacy at anytime 
		you visit or communicate with our site. Our privacy policy has been 
		provided and reviewed by the solicitors at Legal Centre who specialise 
		in online internet contracts. 
	</p>
	<p>
		Our Terms of Use and Privacy Policy offers you a thorough explanation regarding your 
		personal data provided to us or any data we may collect from you.
	</p>
	<p>
		This Privacy Policy is updated from time to time; therefore, it should be reviewed occasionally.
	</p>
	<p>
		[For the purpose of the Data Protection Act 1998, <?php echo SITE_NAME; ?> is our data controller.]
	</p>
	<p>
		<strong>1. Collected Information</strong>
	</p>
	<p>
		Data can be collected and processed during the operations of our website. 
		The following are ways we may perform these actions:
	</p>
	<p>
		1.1 Data regarding your visit(s) to our website and any resources used are collected. The 
		following is included and not limited to: location data, weblogs, traffic data, and any 
		other communication information.
	</p>
	<p>
		1.2 Any forms you filled out on our site allows us to collect data such as registering for 
		information or when you complete a purchase.
	</p>
	<p>
		1.3 If for any reason you communicate with our personnel or site we may collect information.
	</p>
	<p>
	<b>2. Cookie Usage</b>
	</p>
	<p>
	There are instances where we may use 
	cookies to gather information regarding our services in a mathematical 
	collection for our website and our advertisers.
	</p>
	<p>
	Any information 
	collected will not have any identifying data. It is statistical data 
	about our visitors and how they have used our site. No personal details 
	will be shared that could identify you.
	</p>
	<p>
	We may assemble 
	information about your common internet use with a cookie file. When 
	used, the cookies are downloaded to your computer automatically. The 
	cookie is stored on the hard drive, with transferred information. The 
	data sought by the cookie helps us improve our website and any service 
	offered to you. 
	</p>
	<p>
	Your browser has the ability to decline cookies. 
	This is done by setting your browser options to decline all cookies. 
	Note: if you do decline the download of cookies, some aspects of our 
	site may not work or allow you access.
	</p>
	<p>
	Our advertisers may 
	download cookies to which we have no control. If used, these cookies are 
	downloaded by clicking on an advertisement found on our website. 
	</p>

	<p>
	<b>3. Our Use of Your Information</b>
	</p>
	<p>
	Information stored or 
	collected regarding you helps us improve and offer services you need. 
	The following list contains how we might use your data:
	</p>
	<p>
	3.1 Any 
	request you make of our site or personnel allows us to use information 
	you provided us with, relating to the products or services we have. We 
	may also send information on products or services you may be interested 
	in, as long as consent has been received. 
	</p>
	<p>
	3.2 Contract 
	Commitments: To meet any Commitment we make to you.
	</p>
	<p>
	3.3 Changes 
	or Improvements made to the site can warrant use of your information, 
	with regard to notification of such changes.
	</p>
	<p>
	3.4 An existing 
	customer may be contacted regarding products and services related to any 
	item of previous sale you made on our site.
	</p>
	<p>
	3.5 We may use data 
	or allow third parties to use information that is not related to goods 
	or services you may be interested in. We or third parties contact you 
	only if consent has been provided by you at anytime, based on 
	information we collected.
	</p>
	<p>
	3.6 Any new customer can only be 
	contacted by us or third parties if consent has been offered via our 
	site. We only send communications you have consented to.
	</p>
	<p>
	3.7 
	Anyone who does not wish to give consent for our site or third party use 
	has the opportunity to decline. Once we receive your withhold for 
	consent we will remove your details from any mailings or third party 
	communications. 
	</p>
	<p>
	3.8 None of the information collected about you 
	will offer identifiable characteristics. Information shared to a third 
	party is statistical only. We will not reveal who you are, only 
	mathematical information about our visitors. 
	</p>
	<p>
	<b>4. Personal Data 
	Storage</b>
	</p>
	<p>
	4.1 Locations outside the European Economic Area may 
	be used for transferring data we collect about you. These data sites are 
	for storing or processing of your information. The information we share 
	outside the European Economic Area may be shared with staff based on the 
	process and storage of said data. It may include such processes as 
	processing a payment or offering support for your service or product 
	needs. The staff processing or storing information may work for our 
	suppliers outside the European Economic Area. By submitting your data to 
	use you have agreed to this transfer and storage of data. We take all 
	reasonable action to ensure the safety of your personal data in 
	agreement with this Privacy Policy.
	</p>
	<p>
	4.2 Information we are 
	provided will be stored on secure servers. Transaction data is encrypted 
	for your safety.
	</p>
	<p>
	4.3 You should understand data via online 
	transmission is not completely secure. We cannot guarantee full 
	protection and security data, only that we take all reasonable action to 
	protect information sent to us electronically. Transmission of any data 
	by you is at your own risk. Where applicable you may be given access to 
	sections of our site that require a password. You are responsible for 
	the passwords safety and confidentiality. 
	</p>
	<p>
	<b>5. Information 
	Disclosure</b>
	</p>
	<p>
	5.1 At times we may disclose personal information 
	to persons in our group. This can include subsidiaries, holding 
	companies, or any other subsidiaries involved in our business, if 
	applicable.
	</p>
	<p>
	5.2 Third Party disclosure may occur for the 
	following reasons:
	</p>
	<p>
	5.2.1 Selling any or all of our business to a 
	third party may result in sharing your information.
	</p>
	<p>
	5.2.2 At any 
	time when we are legally required to we may disclose information about 
	you and your visits to our sites.
	</p>
	<p>
	5.2.3 To prevent fraud and help 
	in fraud protection in order to reduce credit risk, we may disclose 
	information. 
	</p>
	<p>
	<b>6. Third Party Links</b>
	</p>
	<p>
	Third party 
	links may be discovered on our site. These third party links have their 
	own privacy policy, which you agree to when you click on the link. We 
	are not responsible nor do we accept responsibility for third party 
	links. Our liability covers us only on our site, and thus we do not 
	accept liability for third party links as we have no control over them. 

	</p>
	<p>
	<b>7. Information Accessibility</b>
	</p>
	<p>
	We cannot withhold 
	data we collect about you, as per The Data Protection Act 1998. This act 
	provides you with access to any information we may hold on you. If you 
	wish to have access about our data collection on you please pay our fee 
	of ?10. The fee covers our costs for processing your request and getting 
	the data to you. Please use the contact details below to formulate your 
	data access request. 
	</p>
	<p>
	<b>8. Contacting Us</b>
	</p>
	<p>
	Please feel 
	free to contact us with queries, requests, or comments you may have 
	about our Privacy Policy. We welcome any communication via our
	<a href="contact.php" class="uc">contact form</a>.
	</p>
</div>
<?php site_footer(); ?>